#@***h* AMSU-A_FCDR_STAR/run_grid_fcdr.sh
# NAME
#   run_grid_fcdr.sh
# 
# PURPOSE
#   To generate AMSU-A daily gridded brightness temperature FCDR with configuration files for specidied satellite.
# 
# DESCRIPTION
#   This script generates AMSU-A daily gridded brightness temperature FCDR with configuration files for specidied satellite.
# 
# AUTHOR
#   Xianjun Hao,  George Mason University.
# 
# CREATION DATE
#   05/16/2016
# 
#COPYRIGHT
#   THIS SOFTWARE AND ITS DOCUMENTATION ARE CONSIDERED TO BE IN THE PUBLIC
#   DOMAIN AND THUS ARE AVAILABLE FOR UNRESTRICTED PUBLIC USE. THEY ARE
#   FURNISHED "AS IS." THE AUTHORS, THE UNITED STATES GOVERNMENT, ITS
#   INSTRUMENTALITIES, OFFICERS, EMPLOYEES, AND AGENTS MAKE NO WARRANTY,
#   EXPRESS OR IMPLIED, AS TO THE USEFULNESS OF THE SOFTWARE AND
#   DOCUMENTATION FOR ANY PURPOSE. THEY ASSUME NO RESPONSIBILITY (1) FOR
#   THE USE OF THE SOFTWARE AND DOCUMENTATION; OR (2) TO PROVIDE TECHNICAL
#   SUPPORT TO USERS.
#   ALTHOUGH UNRESTRICTED, THE USERS OF THE SOFTWARE AND DATASETS SHOULD ACKNOWLEDGE AND
#   CITE THE NESDIS/CENTER FOR SATELLITE APPLICATIONS AND RESEARCH MSU/AMSU REPROCESSING
#   TEAM IN THEIR PUBLICATIONS, PRESENTATIONS, AND/OR ANY DERIVED DATA PRODUCTS THAT WERE
#   PRODUCED USING THE ORIGINAL DATA SET. 
#   A PROPERLY ACKNOWLEDGEMENT SHOULD USE THE FOLLOWING WORDING 'THE SOFTWARE AND DATASETS
#   WERE DEVELOPED AND PROVIDED BY THE NOAA MSU/AMSU REPROCESSING TEAM' AND THE 
#   FOLLOWING REFERENCES SHOULD BE CITED WHEN USING THE SOFTWARE AND DATASETS  
#   Zou, Cheng-Zhi and Wenhui Wang (2011), Inter-satellite calibration of AMSU-A observations for weather and
#   climate applications, J. Geophys. Res., Vol. 116, D23113, doi:10.1029/2011JD016205
#   Zou, C.-Z., M. Goldberg, Z. Cheng, N. Grody, J. Sullivan, C. Cao, and D. Tarpley (2006)
#   Recalibration of microwave sounding unit for climate studies using simultaneous nadir 
#   overpasses. J. Geophys. Res., 111, D19114, doi:10.1029/2005JD006798
#   Goldberg, M. D., D. S. Crosby, and L. Zhou, (2001) The limb adjustment of AMSU-A 
#   observations: Methodology and validation. J. Appl. Meteor., 40, 70.83
# 
# REVISION HISTORY
#   05/16/2016 Initial Version prepared for NCEI.
# 
# INPUTS
#   1. logging configurationn file
#   2. task configuration file.
# 
# OUTPUTS
#   AMSU-A daily gridded brightness temperature FCDR for satellite and time period specified by task configuration file.
# 
#!/bin/bash
#@*****
 
FILE_CONF_LOGGING=$1
FILE_CONF_TASK=$2

java  -Dlog4j.configurationFile=$FILE_CONF_LOGGING -cp generateAmsuFcdrGridded.jar  amsu.fcdr.gridded.AmsuFcdrGriddedTask  $FILE_CONF_TASK


