/*@***h* AMSU-A_FCDR_STAR/pub.attribute.GlobalAttributesCDR.java
* NAME
*   pub.attribute.GlobalAttributesCDR.java 
* 
* PURPOSE
*   To support the NCDC/CDR Program Metadata Convention for global attributes.
* 
* DESCRIPTION
*   This class is of subclass of AttributesPub. It defined constants and variables
*   that related to the NCDC/CDR Program Metadata Convention for global attributes.
* 
* AUTHOR
*   Wenhui Wang,  I. M. Systems Group@NOAA/NESDIS/STAR
* 
* CREATION DATE
*   05/01/2013
* 
* COPYRIGHT
*   THIS SOFTWARE AND ITS DOCUMENTATION ARE CONSIDERED TO BE IN THE PUBLIC
*   DOMAIN AND THUS ARE AVAILABLE FOR UNRESTRICTED PUBLIC USE. THEY ARE
*   FURNISHED "AS IS." THE AUTHORS, THE UNITED STATES GOVERNMENT, ITS
*   INSTRUMENTALITIES, OFFICERS, EMPLOYEES, AND AGENTS MAKE NO WARRANTY,
*   EXPRESS OR IMPLIED, AS TO THE USEFULNESS OF THE SOFTWARE AND
*   DOCUMENTATION FOR ANY PURPOSE. THEY ASSUME NO RESPONSIBILITY (1) FOR
*   THE USE OF THE SOFTWARE AND DOCUMENTATION; OR (2) TO PROVIDE TECHNICAL
*   SUPPORT TO USERS.
*    
*   Fair Use of NOAA's CDR Data Sets, Algorithms and Documentation: ALTHOUGH 
*   UNRESTRICTED, USERS OF THE SOFTWARE AND DATASETS SHOULD ACKNOWLEDGE 
*   AND CITE THE NOAA MSU/AMSU CDR TEAM IN THEIR PUBLICATIONS, PRESENTATIONS, 
*   AND/OR ANY DERIVED DATA PRODUCTS THAT WERE PRODUCED USING THE ORIGINAL 
*   DATA SET.
*    
*   Acknowledgement Request:  The AMSU-A FCDR used in this study was acquired 
*   from NOAA's National Climatic Data Center (http://www.ncdc.noaa.gov). This 
*   FCDR was originally developed by Cheng-Zhi Zou and Wenhui Wang through 
*   support from NOAA's CDR Program.
*    
*   Citation Request: 
*       Zou, Cheng-Zhi and Wenhui Wang (2011), Inter-satellite calibration of 
*       AMSU-A observations for weather and climate applications, J. Geophys. Res.,
*       Vol. 116, D23113, doi:10.1029/2011JD016205
*       Zou, C.-Z., M. Goldberg, Z. Cheng, N. Grody, J. Sullivan, C. Cao, and 
*       D. Tarpley (2006) Recalibration of microwave sounding unit for climate 
*       studies using simultaneous nadir overpasses. J. Geophys. Res., 111, D19114, 
*       doi:10.1029/2005JD006798
*       Goldberg, M. D., D. S. Crosby, and L. Zhou, (2001) The limb adjustment of 
*       AMSU-A observations: Methodology and validation. J. Appl. Meteor., 40, 70.83
* 
* REVISION HISTORY
*   05/20/2013 Initial Version prepared for NCDC
* 
*
*@*****/
 
 
package pub.attribute;


public class GlobalAttributesCDR extends AttributesPub {
     public static final String GA_NAME_CDR_PROGRAM="cdr_program";
     public static final String GA_NAME_CDR_VARIABLE="cdr_variable";
     public static final String GA_NAME_CDR_SOFTWARE_VERSION_ID="software_version_id";
             
    String[] names = {GA_NAME_CDR_PROGRAM, 
                      GA_NAME_CDR_VARIABLE,
                      GA_NAME_CDR_SOFTWARE_VERSION_ID};
    Object[] values = {"NOAA Climate Data Record Program for satellites, FY 2011.",
        "",
        "gov.naoo.ncdc:v1.0"};
    boolean[] requireds = {true, true, false};

    public GlobalAttributesCDR() {
        initialize(names, values, requireds);
    }
}
