/*@***h* AMSU-A_FCDR_STAR/pub.attribute.VariableAttributesCF.java
* NAME
*   pub.attribute.VariableAttributesCF.java 
* 
* PURPOSE
*   To support the Climat and Forecast (CF) Metadata Convention for 
*   variable attributes.
* 
* DESCRIPTION
*   05/03/2013
* 
* AUTHOR
*   Wenhui Wang,  I. M. Systems Group@NOAA/NESDIS/STAR
* 
* CREATION DATE
*   05/03/2013
* 
* COPYRIGHT
*   THIS SOFTWARE AND ITS DOCUMENTATION ARE CONSIDERED TO BE IN THE PUBLIC
*   DOMAIN AND THUS ARE AVAILABLE FOR UNRESTRICTED PUBLIC USE. THEY ARE
*   FURNISHED "AS IS." THE AUTHORS, THE UNITED STATES GOVERNMENT, ITS
*   INSTRUMENTALITIES, OFFICERS, EMPLOYEES, AND AGENTS MAKE NO WARRANTY,
*   EXPRESS OR IMPLIED, AS TO THE USEFULNESS OF THE SOFTWARE AND
*   DOCUMENTATION FOR ANY PURPOSE. THEY ASSUME NO RESPONSIBILITY (1) FOR
*   THE USE OF THE SOFTWARE AND DOCUMENTATION; OR (2) TO PROVIDE TECHNICAL
*   SUPPORT TO USERS.
*    
*   Fair Use of NOAA's CDR Data Sets, Algorithms and Documentation: ALTHOUGH 
*   UNRESTRICTED, USERS OF THE SOFTWARE AND DATASETS SHOULD ACKNOWLEDGE 
*   AND CITE THE NOAA MSU/AMSU CDR TEAM IN THEIR PUBLICATIONS, PRESENTATIONS, 
*   AND/OR ANY DERIVED DATA PRODUCTS THAT WERE PRODUCED USING THE ORIGINAL 
*   DATA SET.
*    
*   Acknowledgement Request:  The AMSU-A FCDR used in this study was acquired 
*   from NOAA's National Climatic Data Center (http://www.ncdc.noaa.gov). This 
*   FCDR was originally developed by Cheng-Zhi Zou and Wenhui Wang through 
*   support from NOAA's CDR Program.
*    
*   Citation Request: 
*       Zou, Cheng-Zhi and Wenhui Wang (2011), Inter-satellite calibration of 
*       AMSU-A observations for weather and climate applications, J. Geophys. Res.,
*       Vol. 116, D23113, doi:10.1029/2011JD016205
*       Zou, C.-Z., M. Goldberg, Z. Cheng, N. Grody, J. Sullivan, C. Cao, and 
*       D. Tarpley (2006) Recalibration of microwave sounding unit for climate 
*       studies using simultaneous nadir overpasses. J. Geophys. Res., 111, D19114, 
*       doi:10.1029/2005JD006798
*       Goldberg, M. D., D. S. Crosby, and L. Zhou, (2001) The limb adjustment of 
*       AMSU-A observations: Methodology and validation. J. Appl. Meteor., 40, 70.83
* 
* REVISION HISTORY
*   05/20/2013 Initial Version prepared for NCDC
* 
*
*@*****/
 
 
package pub.attribute;


public class VariableAttributesCF extends AttributesPub {
    public static final String longName0="NOAA Climate Data Record of ";
    
    public static final String VA_NAME_CF_LONG_NAME="long_name";
    public static final String VA_NAME_CF_STANDARD_NAME="standard_name";
    public static final String VA_NAME_CF_UNITS="units";            
    public static final String VA_NAME_CF_COORDINATES="coordinates";
    public static final String VA_NAME_CF_FILLVALUE="_FillValue";            
    public static final String VA_NAME_CF_MISSINGVALUE="missing_value";
    public static final String VA_NAME_CF_VALID_MAX="valid_max";
    public static final String VA_NAME_CF_VALID_MIN="valid_min";
    public static final String VA_NAME_CF_VALID_RANGE="valid_range";
    public static final String VA_NAME_CF_FLAG_VALUES="flag_values";
    public static final String VA_NAME_CF_FLAG_MASKS="flag_masks";
    public static final String VA_NAME_CF_FLAG_MEANINGS="flag_meanings";
             
    String[] names={VA_NAME_CF_LONG_NAME,
        VA_NAME_CF_STANDARD_NAME,
        VA_NAME_CF_UNITS,
        VA_NAME_CF_COORDINATES,
        VA_NAME_CF_FILLVALUE,
        VA_NAME_CF_MISSINGVALUE,
        VA_NAME_CF_VALID_MAX,
        VA_NAME_CF_VALID_MIN,
        VA_NAME_CF_VALID_RANGE,
        VA_NAME_CF_FLAG_VALUES,
        VA_NAME_CF_FLAG_MASKS,
        VA_NAME_CF_FLAG_MEANINGS
    };
    
    Object[] values={"","","","",null,
                    null,null,null,null,null,
                    null,null};
    boolean[] requireds={true,true,true,false/*true*/,true/*false*/,
                        false,false,false,true,false,
                        false,false};
      
    public VariableAttributesCF(){
        initialize(names,values,requireds);
    }

    public VariableAttributesCF(Object[] values){
        
    }
    
}
